# Invites

## List Invites

**get** `/api/v2/invites`

List the current user's pending invitations, cursor-paginated.

### Query Parameters

- `page_size: optional number`

- `page_token: optional string`

### Cookie Parameters

- `session: optional string`

### Returns

- `items: array of Invite`

  The list of items.

  - `id: string`

    The invite's unique identifier.

  - `organization_id: string`

    The organization the user is invited to.

  - `organization_name: string`

    The organization's display name.

  - `role: string`

    The role being granted (e.g. admin, viewer).

  - `created_at: optional string`

    Creation datetime

  - `updated_at: optional string`

    Update datetime

- `next_page_token: optional string`

  A token, which can be sent as page_token to retrieve the next page. If this field is omitted, there are no subsequent pages.

- `total_size: optional number`

  The total number of items available. This is only populated when specifically requested. The value may be an estimate and can be used for display purposes only.

### Example

```http
curl https://api.cloud.llamaindex.ai/api/v2/invites \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
```

#### Response

```json
{
  "items": [
    {
      "id": "id",
      "organization_id": "organization_id",
      "organization_name": "organization_name",
      "role": "role",
      "created_at": "2019-12-27T18:11:19.117Z",
      "updated_at": "2019-12-27T18:11:19.117Z"
    }
  ],
  "next_page_token": "next_page_token",
  "total_size": 0
}
```

## Decline Invite

**delete** `/api/v2/invites/{invite_id}`

Decline a pending invitation.

### Path Parameters

- `invite_id: string`

### Cookie Parameters

- `session: optional string`

### Example

```http
curl https://api.cloud.llamaindex.ai/api/v2/invites/$INVITE_ID \
    -X DELETE \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
```

## Accept Invite

**post** `/api/v2/invites/{invite_id}/accept`

Accept a pending invitation. Returns the joined organization id.

### Path Parameters

- `invite_id: string`

### Cookie Parameters

- `session: optional string`

### Returns

- `organization_id: string`

  The organization the user just joined.

### Example

```http
curl https://api.cloud.llamaindex.ai/api/v2/invites/$INVITE_ID/accept \
    -X POST \
    -H "Authorization: Bearer $LLAMA_CLOUD_API_KEY"
```

#### Response

```json
{
  "organization_id": "organization_id"
}
```

## Domain Types

### Invite

- `Invite object { id, organization_id, organization_name, 3 more }`

  A pending invitation visible to the invitee.

  - `id: string`

    The invite's unique identifier.

  - `organization_id: string`

    The organization the user is invited to.

  - `organization_name: string`

    The organization's display name.

  - `role: string`

    The role being granted (e.g. admin, viewer).

  - `created_at: optional string`

    Creation datetime

  - `updated_at: optional string`

    Update datetime

### Invite Accept Response

- `InviteAcceptResponse object { organization_id }`

  Response for accepting an invitation.

  - `organization_id: string`

    The organization the user just joined.
